My Account     Contact Us     Cart

Reply To: Sonim XP& with Android 4.4.4

Home Forums General Sonim XP& with Android 4.4.4 Reply To: Sonim XP& with Android 4.4.4

#17408
Andrea
Member

Hi Dave,

Thank you for your post! Avenza Maps 3.6, which is the version available in the Google Play Store, is compatible with Android 6.0 and higher. If your device is not running Android 6.0 or higher or is not able to update to OS 6.0 or higher then you will be unable to download the app from the Google Play Store. If possible, can you update your operating system? To do so, please go to the Settings app on your device and tap Software Update to ensure you’re running the highest version available for your device.

Let me know if you have any other questions!

All the best,

Andrea
Applications Specialist
Avenza Systems Inc.